Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6884 - 6.0 -> 6.1 upgrade creates incorrect /etc/mail/access and breaks relaying
Summary: 6.0 -> 6.1 upgrade creates incorrect /etc/mail/access and breaks relaying
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-10 18:03 UTC by daniel.deimert
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-17 22:39:42 UTC


Attachments (Terms of Use)

Description daniel.deimert 1999-11-10 18:03:41 UTC
In 6.0 sendmail, /etc/mail/ip_allow is used to control who's
allowed relaying. In 6.1 sendmail, /etc/mail/allow is used.

Upgrade tries to preserve the settings from ip_allow but
fails and generates an incorrect setting, breaking relaying.

Example: Before upgrade, /etc/mail/ip_allow contains two
lines

	192.168.
	10.

After upgrade, /etc/mail/access contains the two lines

	2 RELAY
	2 RELAY

This is incorrect. /etc/mail/access should contain

	192.168	RELAY
	10	RELAY

after the upgrade.

Comment 1 Cristian Gafton 2000-02-17 22:39:59 UTC
fixed in current devel tree


Note You need to log in before you can comment on or make changes to this bug.